Skip to main content
GET
/
v1
/
blockchains
/
tokens
Get Supported Tokens
curl --request GET \
  --url https://api.openxswitch.com/v1/blockchains/tokens \
  --header 'Authorization: Bearer <token>'
{
  "success": true,
  "data": [
    {
      "name": "Ether",
      "symbol": "ETH",
      "decimals": 18,
      "isNative": false,
      "standards": [
        "ERC20"
      ],
      "media": {
        "url": "https://cdn.openxswitch.com/public/logos/svg/eth.svg",
        "type": "image/svg+xml"
      },
      "features": []
    }
  ],
  "totalPage": 123,
  "pageNo": 123,
  "pageLimit": 123
}

Documentation Index

Fetch the complete documentation index at: https://docs.openxswitch.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

token
string

Filter by token symbol or name

Example:

"USDT"

Response

success
boolean
required
Example:

true

data
object[]
required
totalPage
number
required
pageNo
number
required
pageLimit
number
required